AbstractBynaryType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class AbstractBynaryType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.NullableType
              org.hibernate.type.MutableType
                  org.hibernate.type.AbstractBynaryType

All Implemented Interfaces:
  Serializable, Comparator, StringRepresentableType, Type, VersionType, XmlRepresentableType

Direct Known Subclasses:
  AbstractLongBinaryType

Deprecated. Use the `AbstractStandardBasicType` approach instead

    public abstract class AbstractBynaryType

extends MutableType
implements VersionType, Comparator

Logic to bind stream of byte into a VARBINARY

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.AbstractType
`LEGACY_DEFAULT_SIZE, LEGACY_DICTATED_SIZE`

Constructor Summary
`AbstractBynaryType()` Deprecated.

Method Summary
`int` | `compare(Object x, Object y)` Deprecated. Perform a `Comparator` style comparison between values
`Object` | `deepCopyNotNull(Object value)` Deprecated.
`Object` | `fromStringValue(String xml)` Deprecated. Consume the given string representation back into this types java form.
`Object` | `get(ResultSet rs, String name)` Deprecated. Get a column value from a result set, without worrying about the possibility of null values.
`Comparator` | `getComparator()` Deprecated. Get a comparator for version values.
`int` | `getHashCode(Object x)` Deprecated. Get a hash code, consistent with persistence "equality".
`abstract String` | `getName()` Deprecated. Returns the abbreviated name of the type.
`boolean` | `isEqual(Object x, Object y)` Deprecated. Compare two instances of the class mapped by this type for persistence "equality" (equality of persistent state).
`Object` | `next(Object current, SessionImplementor session)` Deprecated. Increment the version.
`Object` | `seed(SessionImplementor session)` Deprecated. Generate an initial version.
`void` | `set(PreparedStatement st, Object value, int index)` Deprecated. Set a parameter value without worrying about the possibility of null values.
`int` | `sqlType()` Deprecated. A convenience form of `NullableType.sqlTypes(org.hibernate.engine.spi.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.
`protected abstract Object` | `toExternalFormat(byte[] bytes)` Deprecated. Convert the byte[] into the expected object type
`protected abstract byte[]` | `toInternalFormat(Object bytes)` Deprecated. Convert the object into the internal byte[] representation
`String` | `toString(Object val)` Deprecated. Render the value to the string representation.

Methods inherited from class org.hibernate.type.MutableType
`deepCopy, isMutable, replace`

Methods inherited from class org.hibernate.type.NullableType
`defaultSize, defaultSizes, dictatedSize, dictatedSizes, fromXMLNode, fromXMLString, getColumnSpan, isDirty, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, nullSafeSet, nullSafeToString, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toXMLString`

Methods inherited from class org.hibernate.type.AbstractType
`assemble, beforeAssemble, disassemble, getHashCode, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isEntityType, isEqual, isModified, isSame, isXMLElement, replace, replaceNode, resolve, semiResolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`assemble, beforeAssemble, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### AbstractBynaryType

    public AbstractBynaryType()

  Deprecated.

Method Detail

### toExternalFormat

    protected abstract Object toExternalFormat(byte[] bytes)

  Deprecated.
  Convert the byte[] into the expected object type

### toInternalFormat

    protected abstract byte[] toInternalFormat(Object bytes)

  Deprecated.
  Convert the object into the internal byte[] representation

### set

    public void set(PreparedStatement st,
                    Object value,
                    int index)
             throws HibernateException,
                    SQLException

  Deprecated.
  Description copied from class: `NullableType`
  Set a parameter value without worrying about the possibility of null values. Called from `NullableType.nullSafeSet(java.sql.PreparedStatement, java.lang.Object, int, boolean[], org.hibernate.engine.spi.SessionImplementor)` after nullness checks have been performed.

  Specified by:
    `set` in class `NullableType`
  Parameters:
    `st` - The statement into which to bind the parameter value.
    `value` - The parameter value to bind.
    `index` - The position or index at which to bind the param value.
  Throws:
    `HibernateException` - Generally some form of mismatch error.
    `SQLException` - Indicates problem making the JDBC call(s).

### get

    public Object get(ResultSet rs,
                      String name)
               throws HibernateException,
                      SQLException

  Deprecated.
  Description copied from class: `NullableType`
  Get a column value from a result set, without worrying about the possibility of null values. Called from `NullableType.nullSafeGet(java.sql.ResultSet, java.lang.String[], org.hibernate.engine.spi.SessionImplementor, java.lang.Object)` after nullness checks have been performed.

  Specified by:
    `get` in class `NullableType`
  Parameters:
    `rs` - The result set from which to extract the value.
    `name` - The name of the value to extract.
  Returns:
    The extracted value.
  Throws:
    `HibernateException` - Generally some form of mismatch error.
    `SQLException` - Indicates problem making the JDBC call(s).

### sqlType

    public int sqlType()

  Deprecated.
  Description copied from class: `NullableType`
  A convenience form of `NullableType.sqlTypes(org.hibernate.engine.spi.Mapping)`, returning just a single type value since these are explicitly dealing with single column mappings.

  Specified by:
    `sqlType` in class `NullableType`
  Returns:
    The `Types` mapping value.

### seed

    public Object seed(SessionImplementor session)

  Deprecated.
  Description copied from interface: `VersionType`
  Generate an initial version.

  Specified by:
    `seed` in interface `VersionType`
  Parameters:
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### next

    public Object next(Object current,
                       SessionImplementor session)

  Deprecated.
  Description copied from interface: `VersionType`
  Increment the version.

  Specified by:
    `next` in interface `VersionType`
  Parameters:
    `current` - the current version
    `session` - The session from which this request originates.
  Returns:
    an instance of the type

### getComparator

    public Comparator getComparator()

  Deprecated.
  Description copied from interface: `VersionType`
  Get a comparator for version values.

  Specified by:
    `getComparator` in interface `VersionType`
  Returns:
    The comparator to use to compare different version values.

### isEqual

    public boolean isEqual(Object x,
                           Object y)

  Deprecated.
  Description copied from interface: `Type`
  Compare two instances of the class mapped by this type for persistence "equality" (equality of persistent state).

  This should always equate to some form of comparison of the value's internal state. As an example, for something like a date the comparison should be based on its internal "time" state based on the specific portion it is meant to represent (timestamp, date, time).

  Specified by:
    `isEqual` in interface `Type`
  Overrides:
    `isEqual` in class `NullableType`
  Parameters:
    `x` - The first value
    `y` - The second value
  Returns:
    True if there are considered equal (see discussion above).

### getHashCode

    public int getHashCode(Object x)

  Deprecated.
  Description copied from interface: `Type`
  Get a hash code, consistent with persistence "equality". Again for most types the normal usage is to delegate to the value's `hashCode`.

  Specified by:
    `getHashCode` in interface `Type`
  Overrides:
    `getHashCode` in class `AbstractType`
  Parameters:
    `x` - The value for which to retrieve a hash code
  Returns:
    The hash code

### compare

    public int compare(Object x,
                       Object y)

  Deprecated.
  Description copied from interface: `Type`
  Perform a `Comparator` style comparison between values

  Specified by:
    `compare` in interface `Comparator`
  Specified by:
    `compare` in interface `Type`
  Overrides:
    `compare` in class `AbstractType`
  Parameters:
    `x` - The first value
    `y` - The second value
  Returns:
    The comparison result. See `Comparator.compare(T, T)` for a discussion.

### getName

    public abstract String getName()

  Deprecated.
  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### toString

    public String toString(Object val)

  Deprecated.
  Description copied from interface: `StringRepresentableType`
  Render the value to the string representation.

  Specified by:
    `toString` in interface `StringRepresentableType`
  Specified by:
    `toString` in class `NullableType`
  Parameters:
    `val` - The value to render to string.
  Returns:
    The string representation

### deepCopyNotNull

    public Object deepCopyNotNull(Object value)

  Deprecated.
  Specified by:
    `deepCopyNotNull` in class `MutableType`

### fromStringValue

    public Object fromStringValue(String xml)
                           throws HibernateException

  Deprecated.
  Description copied from interface: `StringRepresentableType`
  Consume the given string representation back into this types java form.

  Specified by:
    `fromStringValue` in interface `StringRepresentableType`
  Specified by:
    `fromStringValue` in class `NullableType`
  Parameters:
    `xml` - The string representation to be consumed.
  Returns:
    The java type representation
  Throws:
    `HibernateException` - Problem consuming

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.